ATA_SCSI_RELEASE(9)

NAME
ata_scsi_release - SCSI layer callback hook for host unload

SYNOPSIS

int ata_scsi_release (struct Scsi_Host * host);

ARGUMENTS

host
    libata host to be unloaded

DESCRIPTION

Performs all duties necessary to shut down a libata port... Kill port kthread, disable port, and release resources.

LOCKING

Inherited from SCSI layer.

RETURNS

One.

AUTHOR
Jeff Garzik.